> For the complete documentation index, see [llms.txt](https://docs.hockeystack.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hockeystack.com/technical-details/tracking/implementation.md).

# Implementation

There are different ways how you can implement our website tracking script.  The exact implementation depends on how you set up your website and which provider it is. Four most common methods are:

1. Implement directly by adding it to the `<head>` section of your website code
2. Implement through GTM (Google Tag Manager) - [Google Tag Manager](/technical-details/tracking/implementation/google-tag-manager.md)
3. Implement through WordPress - [WordPress](/technical-details/tracking/implementation/wordpress.md)
4. Implement through React - [React](/technical-details/tracking/implementation/react.md)

#### Integration snippet

Integration snippet is available in **Atlas > Ingest.** You can also use the snippet attached below, but keep in mind that you need to fill in the API\_KEY. The key is available in **Atlas > Export > API Info.**&#x20;

```
<script>
    var hsscript = document.createElement("script");
    hsscript.id = "wphs";
    hsscript.src = "https://cdn.jsdelivr.net/npm/hockeystack@latest/hockeystack.min.js";
    hsscript.async = 1;
    hsscript.dataset.apikey = "<API_KEY>"";
    hsscript.dataset.cookieless = 1;
    hsscript.dataset.autoIdentify = 1;
    document.getElementsByTagName('head')[0].append(hsscript);
  </script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hockeystack.com/technical-details/tracking/implementation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
